## gsettings-qt 0.1+17.10.20170824

=== debian/changelog ===
gsettings-qt (0.1+17.10.20170824-9) unstable; urgency=medium

  * debian/rules: Do not enable tests on armhf for now.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Oct 2018 15:23:02 -0400

gsettings-qt (0.1+17.10.20170824-8) unstable; urgency=medium

  * Release to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 17:55:32 -0400

gsettings-qt (0.1+17.10.20170824-8~exp1) experimental; urgency=medium

  * debian/rules: Try to set -mno-unaligned-access to fix test Bus Error
    on armhf.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 16:30:59 -0400

gsettings-qt (0.1+17.10.20170824-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Rebuild against new Qt 5.11.1.
  * Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 19:14:44 -0400

gsettings-qt (0.1+17.10.20170824-6) unstable; urgency=medium

  * d/patches: Add patch to fix a bug cause test failed when build with Qt
    5.11. (Closes: #905059)
  * Bump Standards-Version to 4.2.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 08 Aug 2018 15:36:06 +0800

gsettings-qt (0.1+17.10.20170824-5) unstable; urgency=medium

  * Rebuild with gcc-8. Closes: #897763.
  * Update symbols file.
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:21:09 +0800

gsettings-qt (0.1+17.10.20170824-4) unstable; urgency=medium

  * Add patch to increase timeout in tests to circumvent FTBFS on riscv64.
    Closes: #898497.
  * Revert maintainer address to pkg-deepin-devel@alioth.debian.org.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 13 May 2018 22:27:50 +0800

gsettings-qt (0.1+17.10.20170824-3) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use Salsa platform for Vcs fields.
  * Bump debhelper compat to v11.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Apr 2018 20:58:13 +0800

gsettings-qt (0.1+17.10.20170824-2) unstable; urgency=medium

  * No change rebuild against qtbase-abi-5-9-2.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Oct 2017 20:55:18 +0800

gsettings-qt (0.1+17.10.20170824-1) unstable; urgency=medium

  * New upstream release from bzr repository.
    - No real source changes, mostly a rebuild.
  * Bump Standards-Version to 4.1.1.
  * Mark libgsettings-qt-dev as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 01 Oct 2017 11:13:03 +0800

gsettings-qt (0.1+16.04.20170729-2) unstable; urgency=medium

  * Fix dependency problem of libgsettings-qt-dev.
  * Bump Standards-Version to 4.1.0. (no changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Tue, 22 Aug 2017 13:52:03 +0800

gsettings-qt (0.1+16.04.20170729-1) unstable; urgency=medium

  * New upstream snapshot from bzr src repository.
  * Initial Release in Debian. (Closes: #870031)
  * Fix FTBFS problem due to incorrect link path. (LP: #1706682)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 04 Aug 2017 11:25:48 +0800

gsettings-qt (0.1+16.04.20160329-0ubuntu3~1) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 08:53:28 +0200

gsettings-qt (0.1+16.04.20160329-0ubuntu2~4) yakkety; urgency=medium

  * Build against Qt 5.6.
  * Adjust test running to changes in Qt 5.6.
  * debian/control: don't use transitional package names
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 01 Apr 2016 10:12:26 +0000

gsettings-qt (0.1+16.04.20160329-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Use QChar toUpper/toLower instead of C version (LP: #1556461)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 29 Mar 2016 12:56:42 +0000

gsettings-qt (0.1+16.04.20160111-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Disconnect signal handler on destruction

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 11 Jan 2016 11:26:52 +0000

gsettings-qt (0.1+16.04.20151130-0ubuntu1) xenial; urgency=medium

  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 30 Nov 2015 14:50:27 +0000

gsettings-qt (0.1+16.04.20151104-0ubuntu1) xenial; urgency=medium

  [ Lars Uebernickel ]
  * qgsettings-qml: explicitly emit changed events (LP: #1503693)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Nov 2015 17:59:13 +0000

gsettings-qt (0.1+15.04.20150810-0ubuntu1) vivid; urgency=medium

  [ Lukáš Tinkl ]
  * Force handling deferred delete events to avoid memory leaks (LP:
    #1460970)
  * Force handling deferred delete events to avoid memory leaks (LP:
    #1460970)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 10 Aug 2015 15:49:54 +0000

gsettings-qt (0.1+14.10.20140807-0ubuntu6~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 07:53:08 +0000

gsettings-qt (0.1+14.10.20140807-0ubuntu5) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jun 2015 09:21:19 +0300

gsettings-qt (0.1+14.10.20140807-0ubuntu4) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 08:25:19 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu3) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 13:57:38 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 13:40:39 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * qtdeclarative5-gsettings1.0 needs to depend on the same version of
    libgsettings-qt1

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 15:26:43 +0000


