=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,15 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-export QT_SELECT=qt5
+export QT_SELECT := 5
+
+# Force aligned access to fix FTBFS / Bus Error on armhf
+export DEB_CFLAGS_MAINT_APPEND = -mno-unaligned-access
 
 # Skip tests on the archs they are known to be flaky
-testskip_architectures := powerpc
+testskip_architectures := powerpc armhf
+
+include /usr/share/dpkg/architecture.mk
 
 override_dh_install:
 	rm -rf debian/*/usr/tests
