## gsettings-qt 0.2

=== debian/changelog ===
gsettings-qt (0.2-6) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml and rename to debian/salsa-ci.yml.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Mike Gabriel ]
  * debian/rules: Drop empty line.
  * debian/watch: Update file for recent GitLab changes of the tags
    overview page.

  [ Boyuan Yang ]
  * Replace build-dep: pkg-config => pkgconf.
  * d/rules: unconditionally enable LTO.
  * d/libgsettings-qt1.symbols: Drop unnecessary disappeared Qt symbols
    due to LTO being enabled. (Closes: #1015424)

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Nov 2024 09:46:04 -0500

gsettings-qt (0.2-5) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Remove keep canonical namespace patch

  [ Mike Gabriel ]
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 14:52:55 +0100

gsettings-qt (0.2-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/rules:
    + Do not override dh_missing (now default).
    + Do not explicitly set -Wl,--as-needed (now default).
  * debian/control:
    + Bump debhelper compat to v13.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 16:30:50 +0200

gsettings-qt (0.2-3) unstable; urgency=medium

  * debian/rules:
    + Provide an XDG_RUNTIME_DIR that is really available.
  * debian/control:
    + Add B-D: qml-module-qtqml. (Closes: #964670).
  * debian/libgsettings-qt1.symbols:
    + Update symbols (remove Debian revision from version in missing symbol).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 16:18:29 +0200

gsettings-qt (0.2-2) unstable; urgency=medium

  * debian/upstream/metadata:
    + Drop obsolete Name: field.
  * debian/rules:
    + Don't run dh_auto_install in parallel. (Closes: #964670)

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 10:59:41 +0000

gsettings-qt (0.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch:
    + Add file. Pointing to UBports's version of gsettings-qt.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,copyright}:
    + Update upstream location according to d/watch file.
  * debian/control:
    + Move maintenance over to UBports team (with Deepin Package Team as
      co-maintainers). (Closes: #951019).
    + Add B:/R: (qml-module-gsettings1.0): qtdeclarative5-gsettings1.0
      (<< 0.2~).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/rules:
    + Add get-orig-source target.
  * debian/patches:
    + 0005-bugfix-about-test-cases.patch: Trivial rebase.
    + Adapt patch file names to our patch file naming scheme.
    + Add README file, explaining our patch naming scheme.
    + Add 2001_keep-com.canonical-DBus-namespace.patch. Switch back to
      com.canonical.gsettings DBus namespace to not break co-funtionality
      with other non-Unity Qt5 based environments and components (e.g. Deepin
      Desktop Environment).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/libgsettings-qt1.symbols:
    + Add Build-Depends-Package: meta data field.
    + Update symbols file (for amd64 only for now).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 15:26:18 +0100
