=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: gsettings-qt
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
  Boyuan Yang <byang@debian.org>,
  Iceyer <iceyers@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libglib2.0-dev,
- pkg-config,
+ pkgconf,
  pkg-kde-tools,
  qml-module-qtquick2,
  qml-module-qttest,
  qt5-qmake,
  qtbase5-dev,
- qtdeclarative5-dev (>= 5.8~),
+ qtdeclarative5-dev,
  qtdeclarative5-dev-tools,
+ qml-module-qtqml,
  xauth,
  xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Section: libs
-Homepage: https://launchpad.net/gsettings-qt
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/gsettings-qt.git
-Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/gsettings-qt
+Rules-Requires-Root: no
+Homepage: https://gitlab.com/ubports/development/core/gsettings-qt
+Vcs-Git: https://salsa.debian.org/ubports-team/gsettings-qt.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/gsettings-qt
 
 Package: libgsettings-qt-dev
 Section: libdevel
@@ -59,6 +63,8 @@
  libgsettings-qt1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks: qtdeclarative5-gsettings1.0 (<< 0.2~),
+Replaces: qtdeclarative5-gsettings1.0 (<< 0.2~),
 Description: QML Bindings for GSettings
  Libgsettings-qt provides Qt binding to GSettings, a high-level API
  for application settings. This library can be used to access GSettings from Qt
