=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_LDFLAGS_MAINT_APPEND =
 export QT_SELECT := 5
 
 # Force aligned access to fix FTBFS / Bus Error on armhf
@@ -21,8 +21,11 @@
 	rm -rf debian/*/usr/tests
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_install:
+	mkdir "$(CURDIR)/debian/run-dir/"
+	chmod 7700 "$(CURDIR)/debian/run-dir/"
+	export XDG_RUNTIME_DIR="$(CURDIR)/debian/run-dir/" && dh_auto_install --no-parallel
+	rm -Rfv "$(CURDIR)/debian/run-dir/"
 
 override_dh_auto_test:
 ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
@@ -35,3 +38,6 @@
 
 %:
 	dh $@ --with pkgkde_symbolshelper
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..
