## gsettings-qt 1.0.0

=== debian/changelog ===
gsettings-qt (1.0.0-4) unstable; urgency=medium

  * debian/control:
    + Apply libgio-2.0-dev | libglib2.0-dev dependency hack for old distro
      version to both dev:pkgs.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2025 08:59:37 +0100

gsettings-qt (1.0.0-3) unstable; urgency=medium

  * debian/control:
    + Add compat B-Ds (Ubuntu 24.04): qml6-module-qtqml-models and qml6-module-
      qtqml-workerscript.
    + The libgio-2.0-dev bin:pkg only got introduced during the trixie cycle
      (Debian) / plucky cycle (Ubuntu). For building e.g. against Ubuntu 24.04,
      we need to alternatively depend libglib2.0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2025 08:51:13 +0100

gsettings-qt (1.0.0-2) unstable; urgency=medium

  * debian/control:
    + Add to D: (dev:pkgs): libgio-2.0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Mar 2025 11:46:20 +0100

gsettings-qt (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Introduce Qt6 builds of gsettings-qt by dually building the gsettings-qt
      code against Qt5 and Qt6. (Upstream switched from qmake to cmake, also
      part of this changeset).
  * debian/patches:
    + Drop patches 0001, 0002 and 0003. All obsolete or accepted upstream
      (upstream changed build system from qmake to cmake).
    + Drop patch 0005. Applied upstream.
    + Trivially rebase 0004_Increase-test-timeout.patch.
  * debian/{control,*.install}:
    + Rename qml-module-gsettings1.0 to qml-module-gsettings (and keep the
      former as transitional package).
  * debian/{control,rules,*.symbols}:
    + Stop providing .symbols files.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Feb 2025 14:59:32 +0100
