## gsettings-qt 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18)
-project(gsettings-qt VERSION 1.0.0 LANGUAGES CXX)
+project(gsettings-qt VERSION 1.1.1 LANGUAGES CXX)
 
 option(ENABLE_WERROR "Enable -Werror" OFF)
 option(ENABLE_QT6 "Enable Qt6 build" OFF)
@@ -30,7 +30,7 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Gio REQUIRED IMPORTED_TARGET gio-2.0)
 
-enable_testing()
+include(CTest)
 
 if(BUILD_TESTING)
     pkg_check_modules(Glib2 REQUIRED IMPORTED_TARGET glib-2.0)
