=== GSettings/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(QmlPlugins)
+find_package(QmlPlugins REQUIRED)
 
 set(CHECK_DEFAULT_PATH "")
 if (EXISTS "/etc/debian_version")
@@ -12,7 +12,7 @@
 add_definitions(-DQT_NO_KEYWORDS)
 
 set(URI "GSettings")
-set(API_VER "1.0")
+set(API_VER "1.1")
 set(QML_PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml/${URI}")
 
 add_library(GSettingsQmlPlugin MODULE
