=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 target_link_libraries(cpptest PRIVATE
     Qt::Test
     Qt::Core
-    gsettings-qt
+    gsettings-qt${QT_VERSION_IN_LIBNAME}
     PkgConfig::Glib2
 )
 
@@ -67,7 +67,7 @@
     Qt::Test
     Qt::Core
     Qt::QuickTest
-    gsettings-qt
+    gsettings-qt${QT_VERSION_IN_LIBNAME}
     PkgConfig::Glib2
 )
