=== debian/changelog ===
gsettings-qt (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0004_Increase-test-timeout.patch. Applied upstream.
  * debian/control:
    + Drop global Priority: field, bump Standards-Version: to 4.7.3.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Feb 2026 17:59:38 +0100
