=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: gsettings-qt
-Priority: optional
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
@@ -31,7 +30,7 @@
 # https://launchpad.net/~lomiri/
  qml6-module-qtqml-models,
  qml6-module-qtqml-workerscript,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/gsettings-qt
